Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.4.x
Author Message
ring_c
Involved
Involved


Joined: Dec 28, 2003
Posts: 276
Location: Israel

PostPosted: Tue Dec 27, 2005 4:11 pm Reply with quote

Well, as Raven recommended so much moving to 2.4.2, I went to install the whole bounch.

Running nsnst.php made me understand i'll have to update 2.3.0 to 2.3.1 and then to 2.3.2 and then to 2.4.0 and so on...

Is that the right way to do it?

Let's assume it is, cause when I got to update 2.3.2 to 2.4.0 I got this message:

--------------------------------------------------------------------------------
- Insert into nuke_nsnst_ip2country failed
--------------------------------------------------------------------------------
Operation Complete!
Click the link below to goto admin:
NOTE: Reserved Ranges are now stored in your IP 2 Country table!
Goto NukeSentinel™ Admin


Now, what does that mean? How do I fix it and can I continute with no fear I'll break something?
 
View user's profile Send private message Visit poster's website
Raven
Site Admin/Owner


Joined: Aug 27, 2002
Posts: 17086

PostPosted: Tue Dec 27, 2005 4:16 pm Reply with quote

Try continuing and let's see what happens Wink
 
View user's profile Send private message
ring_c
PostPosted: Tue Dec 27, 2005 4:25 pm Reply with quote

Raven wrote:
Try continuing and let's see what happens Wink

I did, and everything looks fine, though the IP to Country menu is offline. I mean, it's not a URL.

Also, have updated to your 2.4.2pl (that's the name) but the version number in the admin panel still shows 2.4.2, but I gather that's logic, as there was no file updated under the admin dir.

Now what?

Also - need I update all text files included in the 2.4.2 installation package? Gee...

And one last thing (for this message Wink ) what the hell do I do with the IMPORT dir?
 
ring_c
PostPosted: Tue Dec 27, 2005 4:36 pm Reply with quote

Re files editing - I'm running phpnuke 6.7 while the files attached in the installation package are related to 7.4 and up. some of my files (like javascript.php) are already modded, while others (like your_account/index.php file) are not compatible as they do not have all data I should change/remove.
 
Raven
PostPosted: Tue Dec 27, 2005 4:50 pm Reply with quote

The easiest way to load the IP2COUNTRY is to use the BigDump utility in my RavenNuke76 package. D/L it and only ftp the INSTALLATION folder to your root folder. Then, run INSTALLATION/installSQL.php. Only load the IP2COUNTRY files, in order. Do not run the base nuke file.
 
ring_c
PostPosted: Tue Dec 27, 2005 5:00 pm Reply with quote

Ok, thanks. what about the rest of my questions? is it a must to update the text files changes? I have a hard time to compare mine to 2.4.2's package!
 
Raven
PostPosted: Tue Dec 27, 2005 7:51 pm Reply with quote

Try to do as many as you can. Then, just run some test hacks that people have tried on you in the past.
 
ring_c
PostPosted: Wed Dec 28, 2005 4:17 am Reply with quote

Quote:

The easiest way to load the IP2COUNTRY is to use the BigDump utility in my RavenNuke76 package. D/L it and only ftp the INSTALLATION folder to your root folder. Then, run INSTALLATION/installSQL.php. Only load the IP2COUNTRY files, in order. Do not run the base nuke file.

Sounds too complicated to me, so I've imported it manualy using NukeSentinel admin panel.

Can I now remove the IMPORT directory which I've uploaded to my ftp for installing?
 
Raven
PostPosted: Wed Dec 28, 2005 8:29 am Reply with quote

No. You would still need that if you intend on banning entire countries. If you don't plan on doing that then yes, it can be removed.
 
ring_c
PostPosted: Wed Dec 28, 2005 9:04 am Reply with quote

Quote:

No. You would still need that if you intend on banning entire countries. If you don't plan on doing that then yes, it can be removed.

Ok, so it stays. who knows... ?
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.4.x

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©